Package org.apache.commons.math3.analysis.solvers

# Interface UnivariateDifferentiableSolver

All Superinterfaces:
  `BaseUnivariateSolver<UnivariateDifferentiableFunction>`

All Known Implementing Classes:
  `AbstractUnivariateDifferentiableSolver`, `NewtonRaphsonSolver`

public interface UnivariateDifferentiableSolver extends BaseUnivariateSolver<UnivariateDifferentiableFunction>
Interface for (univariate real) rootfinding algorithms. Implementations will search for only one zero in the given interval.

Since:
  3.1

## Method Summary

### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

`getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`